Summary:	X Keyboard Configuration Database
Summary(pl.UTF-8):	Baza danych konfiguracji klawiatury pod X
Name:		xkeyboard-config
Version:	2.10.1
Release:	1
License:	MIT
Group:		X11/Development/Libraries
Source0:	http://xorg.freedesktop.org/releases/individual/data/xkeyboard-config/%{name}-%{version}.tar.bz2
# Source0-md5:	997d75c722142be0d03ce4899d349d92
URL:		http://www.freedesktop.org/wiki/Software/XKeyboardConfig
BuildRequires:	autoconf >= 2.57
BuildRequires:	automake
BuildRequires:	gettext-devel >= 0.18.1
# AM_GLIB_GNU_GETTEXT
BuildRequires:	glib2-devel >= 1:2.0
BuildRequires:	intltool >= 0.30
BuildRequires:	rpmbuild(macros) >= 1.446
BuildRequires:	xorg-app-xkbcomp
BuildRequires:	xorg-util-util-macros >= 1.12
# for sinhala layouts
Requires:	xorg-lib-libX11 >= 1.4.3
Provides:	xorg-data-xkbdata
Obsoletes:	xorg-data-xkbdata < 0.9
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The non-arch keyboard configuration database for X Window System. The
goal is to provide the consistent, well-structured, frequently
released open source of X keyboard configuration data for X Window
System implementations (free, open source and commercial). The project
is targeted to XKB-based systems.

%description -l pl.UTF-8
Niezależna od architektury baza danych konfiguracji klawiatury dla
systemu X Window. Celem jest dostarczenie spójnych, dobrze
zbudowanych, często wydawanych danych konfiguracji klawiatury pod X z
otwartymi źródłami dla implementacji X Window System (wolnodostępnych,
mających otwarte źródła i komercyjnych). Projekt jest przeznaczony dla
systemów opartych na XKB.

%prep
%setup -q

%build
%{__aclocal}
%{__autoconf}
%configure \
	--host=%{_host} \
	--build=%{_host} \
	--disable-runtime-deps \
	--enable-compat-rules \
	--with-xkb-rules-symlink=xorg \
	--with-xkb-base=%{_datadir}/X11/xkb

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

ln -s /var/lib/xkb $RPM_BUILD_ROOT%{_datadir}/X11/xkb/compiled

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%pretrans
# it used to be directory in xkbdata
if [ -d %{_datadir}/X11/xkb/symbols/pc ]; then
	mv -b %{_datadir}/X11/xkb/symbols/pc{,.dir}
%banner -e %{name} <<EOF
Check out %{_datadir}/X11/xkb/symbols/pc.dir
for your own files and remove it when done.
EOF
fi
if [ -d %{_datadir}/X11/xkb/compiled ]; then
	rm -rf %{_datadir}/X11/xkb/compiled
fi

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog NEWS README TODO docs/H* docs/R*
%{_datadir}/X11/xkb
%{_npkgconfigdir}/xkeyboard-config.pc
%{_mandir}/man7/xkeyboard-config.7*
%changelog
* Fri Oct 04 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xkeyboard-config.git;a=log;h=master

* Fri Oct 04 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 387192e
- up to 2.10.1

* Wed May 29 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> ca31343
- up to 2.9

* Wed Jan 30 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 9d30fa3
- up to 2.8

* Wed Sep 26 2012 Jakub Bogusz <qboosh@pld-linux.org> 21d3882
- gettext version
- unified Source0 URL

* Wed Sep 26 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> cbde6af
- up to 2.7

* Wed Feb 01 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 936e5a3
- up to 2.5.1

* Fri Jan 20 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 85b8906
- merged

* Fri Jan 20 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 73d16a5
- up to 2.5; SECURITY update

* Fri Jan 20 2012 Kacper Kornet <draenog@pld-linux.org> e838a84
- fix Shift+Bksp

* Fri Jan 20 2012 Kacper Kornet <draenog@pld-linux.org> c2df4c0
- fix Shift+Fn

* Thu Jan 19 2012 Kacper Kornet <draenog@pld-linux.org> 38abb33
- patch for screen-saver unlock via xkb debug key actions

* Tue Oct 11 2011 Jakub Bogusz <qboosh@pld-linux.org> 46e71f2
- BR: util-macros

* Wed Oct 05 2011 Elan Ruusamäe <glen@pld-linux.org> 56bae08
- back to noarch, fix taken from xorg-docs.spec

* Wed Oct 05 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> baf0f91
- up to 2.4.1 ; configure is now arch dependant (likely some bug/macros stupidity

* Wed Jun 01 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 055e358
- up to 2.3

* Sun Apr 17 2011 Jakub Bogusz <qboosh@pld-linux.org> e0512e4
- disable runtime deps, libX11 is not in BRs
- runtime versioned libX11 dependency
- xkb/compiled dir is no longer created by make install

* Wed Apr 06 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 686be95
- up to 2.2.1; --disable-runtime-deps no longer needed

* Tue Apr 05 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 0cd2b16
- up to 2.2 (disabled runtime deps checking since it makes little sense here)

* Mon Feb 28 2011 Elan Ruusamäe <glen@pld-linux.org> 40bd400
- avoid self-obsoletion

* Thu Jan 27 2011 Jakub Bogusz <qboosh@pld-linux.org> 6527abd
- updated to 2.1

